package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * SsidOverrideOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class SsidOverrideOpenApiVo   {
  @JsonProperty("ssidId")
  private Integer ssidId;

  @JsonProperty("overrideSsidName")
  private String overrideSsidName;

  @JsonProperty("overrideSsidPassword")
  private String overrideSsidPassword;

  @JsonProperty("overrideSsidEnable")
  private Boolean overrideSsidEnable;

  @JsonProperty("overrideVlanEnable")
  private Boolean overrideVlanEnable;

  @JsonProperty("vlanId")
  private Integer vlanId;

  @JsonProperty("ssidEnable")
  private Boolean ssidEnable;

  public SsidOverrideOpenApiVo ssidId(Integer ssidId) {
    this.ssidId = ssidId;
    return this;
  }

  /**
   * SSID Entry ID
   * @return ssidId
  */
  @ApiModelProperty(required = true, value = "SSID Entry ID")
  @NotNull


  public Integer getSsidId() {
    return ssidId;
  }

  public void setSsidId(Integer ssidId) {
    this.ssidId = ssidId;
  }

  public SsidOverrideOpenApiVo overrideSsidName(String overrideSsidName) {
    this.overrideSsidName = overrideSsidName;
    return this;
  }

  /**
   * Override SSID name
   * @return overrideSsidName
  */
  @ApiModelProperty(value = "Override SSID name")


  public String getOverrideSsidName() {
    return overrideSsidName;
  }

  public void setOverrideSsidName(String overrideSsidName) {
    this.overrideSsidName = overrideSsidName;
  }

  public SsidOverrideOpenApiVo overrideSsidPassword(String overrideSsidPassword) {
    this.overrideSsidPassword = overrideSsidPassword;
    return this;
  }

  /**
   * Override SSID password(when security is WPA-Personal need fill)
   * @return overrideSsidPassword
  */
  @ApiModelProperty(value = "Override SSID password(when security is WPA-Personal need fill)")


  public String getOverrideSsidPassword() {
    return overrideSsidPassword;
  }

  public void setOverrideSsidPassword(String overrideSsidPassword) {
    this.overrideSsidPassword = overrideSsidPassword;
  }

  public SsidOverrideOpenApiVo overrideSsidEnable(Boolean overrideSsidEnable) {
    this.overrideSsidEnable = overrideSsidEnable;
    return this;
  }

  /**
   * Enable/disable SSID override
   * @return overrideSsidEnable
  */
  @ApiModelProperty(required = true, value = "Enable/disable SSID override")
  @NotNull


  public Boolean getOverrideSsidEnable() {
    return overrideSsidEnable;
  }

  public void setOverrideSsidEnable(Boolean overrideSsidEnable) {
    this.overrideSsidEnable = overrideSsidEnable;
  }

  public SsidOverrideOpenApiVo overrideVlanEnable(Boolean overrideVlanEnable) {
    this.overrideVlanEnable = overrideVlanEnable;
    return this;
  }

  /**
   * Enable/disable VLAN override
   * @return overrideVlanEnable
  */
  @ApiModelProperty(required = true, value = "Enable/disable VLAN override")
  @NotNull


  public Boolean getOverrideVlanEnable() {
    return overrideVlanEnable;
  }

  public void setOverrideVlanEnable(Boolean overrideVlanEnable) {
    this.overrideVlanEnable = overrideVlanEnable;
  }

  public SsidOverrideOpenApiVo vlanId(Integer vlanId) {
    this.vlanId = vlanId;
    return this;
  }

  /**
   * VLAN ID
   * @return vlanId
  */
  @ApiModelProperty(value = "VLAN ID")


  public Integer getVlanId() {
    return vlanId;
  }

  public void setVlanId(Integer vlanId) {
    this.vlanId = vlanId;
  }

  public SsidOverrideOpenApiVo ssidEnable(Boolean ssidEnable) {
    this.ssidEnable = ssidEnable;
    return this;
  }

  /**
   * Enable/disable SSID
   * @return ssidEnable
  */
  @ApiModelProperty(value = "Enable/disable SSID")


  public Boolean getSsidEnable() {
    return ssidEnable;
  }

  public void setSsidEnable(Boolean ssidEnable) {
    this.ssidEnable = ssidEnable;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SsidOverrideOpenApiVo ssidOverrideOpenApiVo = (SsidOverrideOpenApiVo) o;
    return Objects.equals(this.ssidId, ssidOverrideOpenApiVo.ssidId) &&
        Objects.equals(this.overrideSsidName, ssidOverrideOpenApiVo.overrideSsidName) &&
        Objects.equals(this.overrideSsidPassword, ssidOverrideOpenApiVo.overrideSsidPassword) &&
        Objects.equals(this.overrideSsidEnable, ssidOverrideOpenApiVo.overrideSsidEnable) &&
        Objects.equals(this.overrideVlanEnable, ssidOverrideOpenApiVo.overrideVlanEnable) &&
        Objects.equals(this.vlanId, ssidOverrideOpenApiVo.vlanId) &&
        Objects.equals(this.ssidEnable, ssidOverrideOpenApiVo.ssidEnable);
  }

  @Override
  public int hashCode() {
    return Objects.hash(ssidId, overrideSsidName, overrideSsidPassword, overrideSsidEnable, overrideVlanEnable, vlanId, ssidEnable);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SsidOverrideOpenApiVo {\n");
    
    sb.append("    ssidId: ").append(toIndentedString(ssidId)).append("\n");
    sb.append("    overrideSsidName: ").append(toIndentedString(overrideSsidName)).append("\n");
    sb.append("    overrideSsidPassword: ").append(toIndentedString(overrideSsidPassword)).append("\n");
    sb.append("    overrideSsidEnable: ").append(toIndentedString(overrideSsidEnable)).append("\n");
    sb.append("    overrideVlanEnable: ").append(toIndentedString(overrideVlanEnable)).append("\n");
    sb.append("    vlanId: ").append(toIndentedString(vlanId)).append("\n");
    sb.append("    ssidEnable: ").append(toIndentedString(ssidEnable)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

